Subject: Re: [PATCH net-next v2 0/4] net: ethernet: renesas: rswitch: Modify initialization for SERDES and PHY

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 10 Jan 2023 14:35:42 +0000

On Tue, Jan 10, 2023 at 02:02:02PM +0900, Yoshihiro Shimoda wrote:
> The patch [1/4] sets phydev->host_interfaces by phylink for Marvell PHY
> driver (marvell10g) to initialize the MACTYPE.

I don't yet understand the "why" behind the need for this. Doesn't your
platform strap the 88x3310 correctly, so MACTYPE is properly set?

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!